﻿@using Microsoft.EntityFrameworkCore
<environment exclude="Production">
    <environment exclude="Test">
        @inject SiteGuide.DAL.SiteGuideContext context
    </environment>
</environment>
@inject Microsoft.AspNetCore.Hosting.IWebHostEnvironment hostingEnv
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Site Guide</title>
    <environment include="Development">
        <link rel="stylesheet" href="/css/bootstrap.css" />
    </environment>
    <environment exclude="Development">
        @*     <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" asp-fallback-href="/lib/bootstrap/dist/css/bootstrap.min.css" asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute" crossorigin="anonymous" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" /> *@
        <link rel="stylesheet" href="/css/bootstrap.min.css" />
    </environment>
    <link rel="stylesheet" href="/css/site.css" />
    @* <link rel="stylesheet" href="https://cdn.rawgit.com/afeld/bootstrap-toc/v1.0.1/dist/bootstrap-toc.min.css" /> *@
</head>
<body>
    <header>
        <div class="environment-header">
            <environment exclude="Production">
                @hostingEnv.EnvironmentName
                <environment exclude="Test">- DB "@context.Database.GetDbConnection().Database"</environment>
                <environment include="Test"> - some or all data may be fictitious. For the live site see <a href="https://siteguide.org.au">siteguide.org.au</a>.</environment>
            </environment>
        </div>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-dark border-bottom box-shadow mb-3 bg-primary">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Australian National Site Guide</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    @await Component.InvokeAsync("LoginMenu")
                    <ul class="navbar-nav flex-grow-1">
                        @*<li class="nav-item">
                        <a class="nav-link text-light" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>*@
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Sites" asp-action="Index">Sites</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Map" asp-action="Index">Map</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Downloads" asp-action="Index">Downloads</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="About" asp-action="Index">About</a>
                        </li>
                        @*<li class="nav-item">
                        <a class="nav-link text-light" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                        </li>*@
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    @RenderBody()

    <environment include="Development">
        <script src="~/lib/jquery/dist/jquery.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.js"></script>
    </environment>
    <environment exclude="Development">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"
                asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=">
        </script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"
                asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-xrRywqdh3PHs8keKZN+8zzc5TX0GRTLCcmivcbNJWm2rs5C8PRhcEn3czEjhAO9o">
        </script>
    </environment>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @* <script src="https://cdn.rawgit.com/afeld/bootstrap-toc/v1.0.1/dist/bootstrap-toc.min.js"></script> *@
    @RenderSection("Scripts", required: false)
</body>
</html>
